#include <iostream>
#include <algorithm>
using namespace std;
 long long a[30000], b[30000];
int main()
{
    int t, nj=0;
    cin>>t;
    int k=t;
    bool ye[t],  miki=true;
    while(t--){
        int n;
        cin>>n;
        for(int i=0;i<n;i++) cin>>a[i];
        for(int i=0;i<n;i++) cin>>b[i];
        for(int i=0;i<n;i++){
            if(a[i]==-b[i]){miki=false;}
            else miki=true;
        }
        ye[nj]=miki;
    nj++;
    }
    for(int i=0;i<k;i++){
        if(ye[i])cout<<"DA"<<endl;
    else cout<<"NE"<<endl;
    }
    return 0;
}